Package classycle.classfile

# Class InvokeDynamicConstant

java.lang.Object
classycle.classfile.Constant
classycle.classfile.InvokeDynamicConstant

public class InvokeDynamicConstant extends Constant
Constant specifying a bootstrap method..

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`InvokeDynamicConstant(Constant[] pool, int bootstrapMethodAttrIndex, int nameAndTypeIndex)`
Creates an instance for the specified bootstrap method.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNameAndType()`
Returns name and type.
`String`
`toString()`
Returns constant type and descriptor.

### Methods inherited from class classycle.classfile.Constant

`extractConstantPool, getConstant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvokeDynamicConstant

public InvokeDynamicConstant(Constant[] pool, int bootstrapMethodAttrIndex, int nameAndTypeIndex)
Creates an instance for the specified bootstrap method.

Parameters:
  `pool` - Constant pool. Needed to resolve references.

## Method Details

### getNameAndType

public String getNameAndType()
Returns name and type.

### toString

public String toString()
Returns constant type and descriptor.

Overrides:
  `toString` in class `Object`